Cassandra.login_result (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.login_result

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.login_result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.login_result>, org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.login_result
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.login_result>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.login_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AuthenticationException` | `authnx`
    `AuthorizationException` | `authzx`
    `static java.util.Map<Cassandra.login_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `login_result()`
    `login_result(AuthenticationException authnx, AuthorizationException authzx)`
    `login_result(Cassandra.login_result other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.login_result other)`
    `Cassandra.login_result` | `deepCopy()`
    `boolean` | `equals(Cassandra.login_result that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.login_result._Fields` | `fieldForId(int fieldId)`
    `AuthenticationException` | `getAuthnx()`
    `AuthorizationException` | `getAuthzx()`
    `java.lang.Object` | `getFieldValue(Cassandra.login_result._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.login_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAuthnx()` Returns true if field authnx is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAuthzx()` Returns true if field authzx is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `Cassandra.login_result` | `setAuthnx(AuthenticationException authnx)`
    `void` | `setAuthnxIsSet(boolean value)`
    `Cassandra.login_result` | `setAuthzx(AuthorizationException authzx)`
    `void` | `setAuthzxIsSet(boolean value)`
    `void` | `setFieldValue(Cassandra.login_result._Fields field, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `unsetAuthnx()`
    `void` | `unsetAuthzx()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### authnx

          public AuthenticationException authnx

    - #### authzx

          public AuthorizationException authzx

    - #### metaDataMap

          public static final java.util.Map<Cassandra.login_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### login_result

          public login_result()

    - #### login_result

          public login_result(AuthenticationException authnx,
                              AuthorizationException authzx)

    - #### login_result

          public login_result(Cassandra.login_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.login_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`

    - #### getAuthnx

          public AuthenticationException getAuthnx()

    - #### setAuthnx

          public Cassandra.login_result setAuthnx(AuthenticationException authnx)

    - #### unsetAuthnx

          public void unsetAuthnx()

    - #### isSetAuthnx

          public boolean isSetAuthnx()

      Returns true if field authnx is set (has been assigned a value) and false otherwise

    - #### setAuthnxIsSet

          public void setAuthnxIsSet(boolean value)

    - #### getAuthzx

          public AuthorizationException getAuthzx()

    - #### setAuthzx

          public Cassandra.login_result setAuthzx(AuthorizationException authzx)

    - #### unsetAuthzx

          public void unsetAuthzx()

    - #### isSetAuthzx

          public boolean isSetAuthzx()

      Returns true if field authzx is set (has been assigned a value) and false otherwise

    - #### setAuthzxIsSet

          public void setAuthzxIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.login_result._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.login_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.login_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.login_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.login_result other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.login_result>`

    - #### fieldForId

          public Cassandra.login_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.login_result,Cassandra.login_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation